#!/bin/bash

############ AUTOSUBMIT INPUTS ############
projdir=%PROJDIR%
outdir=%common.OUTDIR%
recipe=%common.RECIPE%
tmpdir=%common.TMPDIR%
###############################

if [ -d $projdir ]; then
  cd $projdir
else
  cd ${tmpdir}/sunset/$(basename ${outdir})/
fi

srcdir=${tmpdir}/$(basename ${outdir})

recipe=${srcdir}/logs/recipes/${recipe}

set +eu
source MODULES
set -eu

Rscript modules/Scorecards/execute_scorecards.R ${recipe} ${srcdir}
